--- src/3rdparty/chromium/media/audio/BUILD.gn.orig	2024-07-03 01:14:49 UTC
+++ src/3rdparty/chromium/media/audio/BUILD.gn
@@ -269,9 +269,20 @@ jumbo_source_set("audio") {
     deps += [ "//media/base/android:media_jni_headers" ]
   }
 
-  if (is_linux || is_chromeos) {
+  if ((is_linux || is_chromeos) && !use_sndio) {
     sources += [ "linux/audio_manager_linux.cc" ]
   }
+
+  if (use_sndio) {
+    libs += [ "sndio" ]
+    sources += [
+      "sndio/audio_manager_sndio.cc",
+      "sndio/sndio_input.cc",
+      "sndio/sndio_input.h",
+      "sndio/sndio_output.cc",
+      "sndio/sndio_output.h"
+    ]
+   }
 
   if (use_alsa) {
     libs += [ "asound" ]
